> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Wallet Request

> Rejects a wallet request: REJECTED/not current, history and activity log, emails admins and owner.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/reject-wallet-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/reject-wallet-request:
    post:
      operationId: rejectWalletRequest
      summary: Reject Wallet Request
      description: >-
        Rejects a wallet request: REJECTED/not current, history and activity
        log, emails admins and owner.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RejectWalletRequestRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RejectWalletRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RejectWalletRequestRequest:
      type: object
      properties:
        walletRequestID:
          type: string
      required:
        - walletRequestID
    RejectWalletRequestResponse:
      type: object
      properties:
        wallet:
          type: object
          properties:
            walletID:
              type: string
            roleInOrgID:
              type: string
            name:
              type:
                - string
                - 'null'
            address:
              type:
                - string
                - 'null'
            memo:
              type:
                - string
                - 'null'
            destinationTag:
              type:
                - integer
                - 'null'
            network:
              type: string
            status:
              type: string
            walletType:
              type:
                - string
                - 'null'
            orgNetworkID:
              type:
                - string
                - 'null'
            createdAt:
              type: string
            updatedAt:
              type: string
            isCurrent:
              type: boolean
            isDefault:
              type: boolean
            legacyMigratedAt:
              type:
                - string
                - 'null'
            legacyModelID:
              type:
                - integer
                - 'null'
            walletTypeCustomID:
              type:
                - string
                - 'null'
            nickName:
              type:
                - string
                - 'null'
            investorEntityID:
              type:
                - string
                - 'null'
            tokenTypeID:
              type:
                - string
                - 'null'
            connectedViaMesh:
              type: boolean
            userDismissed:
              type: boolean
          required:
            - walletID
            - roleInOrgID
            - name
            - address
            - memo
            - destinationTag
            - network
            - status
            - walletType
            - orgNetworkID
            - createdAt
            - updatedAt
            - isCurrent
            - isDefault
            - legacyMigratedAt
            - legacyModelID
            - walletTypeCustomID
            - nickName
            - investorEntityID
            - tokenTypeID
            - connectedViaMesh
            - userDismissed
        walletVerificationRequest:
          type: object
          properties:
            walletVerificationRequestID:
              type: string
            roleInOrgID:
              type: string
            walletID:
              type: string
            link:
              type:
                - string
                - 'null'
            addedByRoleInOrgID:
              type:
                - string
                - 'null'
            rejectedAt:
              type:
                - string
                - 'null'
            rejectedReason:
              type:
                - string
                - 'null'
            rejectedByRoleInOrgID:
              type:
                - string
                - 'null'
            approvedByRoleInOrgID:
              type:
                - string
                - 'null'
            approvedAt:
              type:
                - string
                - 'null'
            createdAt:
              type: string
            updatedAt:
              type: string
            investorEntityID:
              type:
                - string
                - 'null'
            legacyMigratedAt:
              type:
                - string
                - 'null'
            legacyModelID:
              type:
                - integer
                - 'null'
          required:
            - walletVerificationRequestID
            - roleInOrgID
            - walletID
            - link
            - addedByRoleInOrgID
            - rejectedAt
            - rejectedReason
            - rejectedByRoleInOrgID
            - approvedByRoleInOrgID
            - approvedAt
            - createdAt
            - updatedAt
            - investorEntityID
            - legacyMigratedAt
            - legacyModelID
      required:
        - wallet
        - walletVerificationRequest
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
